%define __python /usr/bin/python2.7
%global pyver 27
#global pyver %{nil}

%bcond_without openmpi
%bcond_with mpich
%bcond_with mpt

%global with_python3 1

%{!?openmpiversion: %global openmpiversion 1.6.5}
%global openmpinumversion %( printf "%02d%02d%02d" `echo %{openmpiversion} | cut -d. -f1,2,3 --output-delimiter=" "` )
%{!?compiler: %global compiler gcc}

%if "%{?compilerversion}" == ""
%global compilerfull %{compiler}
%global compilershort %{compiler}
%else
%global compilerfull %{compiler}-%{compilerversion}
%global compilershort %{compiler}%( echo %{compilerversion} | tr -d . )
%endif

%global _openmpi_load module load openmpi
%global _openmpi_unload module unload openmpi

%global destdirbase /usr/local/mpi4py%{pyver}/%{compilerfull}
%global destdirbase3 /usr/local/mpi4py3/%{compilerfull}
%if "%{__python}" == "/usr/bin/python2.7"
%global modulefilebase_path /usr/local/share/Modules/modulefiles/python/2.7/mpi4py/%{compilerfull}
%else
%global modulefilebase_path /usr/local/share/Modules/modulefiles/mpi4py/%{compilerfull}
%endif
%global modulefilebase3_path /usr/local/share/Modules/modulefiles/mpi4py3/%{compilerfull}

%global destdiropenmpi %{destdirbase}/openmpi-%{openmpiversion}/%{version}
%global destdir3openmpi %{destdirbase3}/openmpi-%{openmpiversion}/%{version}
%global modulefileopenmpi_path %{modulefilebase_path}/openmpi-%{openmpiversion}
%global modulefile3openmpi_path %{modulefilebase3_path}/openmpi-%{openmpiversion}

%global destdirmpt %{destdirbase}/mpt/%{version}
%global destdir3mpt %{destdirbase3}/mpt/%{version}
%global modulefilempt_path %{modulefilebase_path}/mpt
%global modulefile3mpt_path %{modulefilebase3_path}/mpt

%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%global python3_version %(%{__python3} -c "import sys; sys.stdout.write(sys.version[:3])")

%{?filter_setup:
%filter_provides_in %{python_sitearch}.*\.so$
%filter_requires_in %{python_sitearch}/openmpi/mpi4py/lib-pmpi/lib.*\.so
%if 0%{?with_python3}
%filter_provides_in %{python3_sitearch}.*\.so$
%filter_requires_in %{python3_sitearch}/openmpi/mpi4py/lib-pmpi/lib.*\.so
%endif
%filter_setup
}

### TESTSUITE ###
# The testsuite currently fails only on the buildsystem, but works localy.
# So to easy enable/disable the testsuite, I introduce the following
#   variables:
#
# * MPICH:     if '1' enable mpich
# * OPENMPI:   if '1' enable openmpi
%global MPICH 0
%global OPENMPI 0

Name:           mpi4py%{pyver}
%define rname	mpi4py
Version:        1.3.1
Release:        3%{?dist}
Summary:        Python bindings of the Message Passing Interface (MPI)

Group:          Development/Languages
License:        BSD
URL:            http://mpi4py.scipy.org
Source0:        http://mpi4py.googlecode.com/files/mpi4py-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python%{pyver}-devel
%if 0%{?with_python3}
BuildRequires:  python3-devel
%endif
Requires:       %{name}-common = %{version}-%{release}



%description
This package is constructed on top of the MPI-1/MPI-2 specification and
provides an object oriented interface which closely follows MPI-2 C++
bindings. It supports point-to-point (sends, receives) and collective
(broadcasts, scatters, gathers) communications of any picklable Python
object as well as optimized communications of Python object exposing the
single-segment buffer interface (NumPy arrays, built-in bytes/string/array
objects).

%package docs
Summary:        Documentation for %{name}
Group:          Documentation
Requires:       %{name}-common = %{version}-%{release}
BuildArch:      noarch
%description docs
This package contains the documentation and examples for %{name}.

%if 0%{?with_python3}
%package -n python3-mpi4py
Requires:       %{name}-common = %{version}-%{release}
Summary:        Python bindings of the Message Passing Interface (MPI)
Group:          Development/Languages
%description -n python3-mpi4py
This package is constructed on top of the MPI-1/MPI-2 specification and
provides an object oriented interface which closely follows MPI-2 C++
bindings. It supports point-to-point (sends, receives) and collective
(broadcasts, scatters, gathers) communications of any picklable Python
object as well as optimized communications of Python object exposing the
single-segment buffer interface (NumPy arrays, built-in bytes/string/array
objects).

%package -n python3-mpi4py-openmpi%{openmpinumversion}-%{compilershort}
BuildRequires:  openmpi-%{compilershort}-devel = %{openmpiversion}
Requires:       openmpi-%{compilershort}-runtime = %{openmpiversion}
Requires:       %{name}-common = %{version}-%{release}
Summary:        Python bindings of MPI, Open MPI version %{openmpiversion} %{compilerfull}
#Provides:       python3-mpi4py-runtime = %{version}-%{release}
%description -n python3-mpi4py-openmpi%{openmpinumversion}-%{compilershort}
This package is constructed on top of the MPI-1/MPI-2 specification and
provides an object oriented interface which closely follows MPI-2 C++
bindings. It supports point-to-point (sends, receives) and collective
(broadcasts, scatters, gathers) communications of any picklable Python
object as well as optimized communications of Python object exposing the
single-segment buffer interface (NumPy arrays, built-in bytes/string/array
objects).

This package contains %{name} compiled against Open MPI %{openmpiversion} %{compilerfull}

%if %{with mpt}
%package -n python3-mpi4py-mpt-%{compilershort}
BuildRequires:  sgi-mpt >= 2.05
Requires:       sgi-mpt >= 2.05
Requires:       %{name}-common = %{version}-%{release}
Summary:        Python bindings of MPI, MPT %{compilerfull}
#Provides:       python3-mpi4py-runtime = %{version}-%{release}
%description -n python3-mpi4py-mpt-%{compilershort}
This package is constructed on top of the MPI-1/MPI-2 specification and
provides an object oriented interface which closely follows MPI-2 C++
bindings. It supports point-to-point (sends, receives) and collective
(broadcasts, scatters, gathers) communications of any picklable Python
object as well as optimized communications of Python object exposing the
single-segment buffer interface (NumPy arrays, built-in bytes/string/array
objects).

This package contains %{name} compiled against MPT %{compilerfull}
%endif

%if %{with mpich}
%package -n python3-mpi4py-mpich
BuildRequires:  mpich-devel
Requires:       mpich
Requires:       %{name}-common = %{version}-%{release}
Summary:        Python bindings of MPI, MPICH version
Provides:       python3-mpi4py-runtime = %{version}-%{release}
Provides:       python3-%{name}-mpich2 = %{version}-%{release}
Obsoletes:	python3-%{name}-mpich2 < 1.3-8
%description -n python3-mpi4py-mpich
This package is constructed on top of the MPI-1/MPI-2 specification and
provides an object oriented interface which closely follows MPI-2 C++
bindings. It supports point-to-point (sends, receives) and collective
(broadcasts, scatters, gathers) communications of any picklable Python
object as well as optimized communications of Python object exposing the
single-segment buffer interface (NumPy arrays, built-in bytes/string/array
objects).

This package contains %{name} compiled against MPICH.
%endif
%endif # with_python3

%package common
Summary:        Common files for mpi4py packages
Group:          Documentation
BuildArch:      noarch
Requires:       %{name}-common = %{version}-%{release}
%description common
This package contains the license file shard between the subpackages of %{name}.

%package openmpi%{openmpinumversion}-%{compilershort}
BuildRequires:  openmpi-%{compilershort}-devel = %{openmpiversion}
Requires:       openmpi-%{compilershort}-runtime = %{openmpiversion}
Requires:       %{name}-common = %{version}-%{release}
#Provides:       python2-mpi4py-openmpi = %{version}-%{release}
Summary:        Python bindings of MPI, Open MPI version %{openmpiversion} %{compilerfull}
#Provides:       mpi4py-runtime = %{version}-%{release}
%description openmpi%{openmpinumversion}-%{compilershort}
This package is constructed on top of the MPI-1/MPI-2 specification and
provides an object oriented interface which closely follows MPI-2 C++
bindings. It supports point-to-point (sends, receives) and collective
(broadcasts, scatters, gathers) communications of any picklable Python
object as well as optimized communications of Python object exposing the
single-segment buffer interface (NumPy arrays, built-in bytes/string/array
objects).

This package contains %{name} compiled against Open MPI %{openmpiversion} %{compilerfull}

%if %{with mpt}
%package mpt-%{compilershort}
BuildRequires:  sgi-mpt >= 2.05
Requires:       sgi-mpt >= 2.05
Requires:       %{name}-common = %{version}-%{release}
#Provides:       python2-mpi4py-openmpi = %{version}-%{release}
Summary:        Python bindings of MPI, MPT %{compilerfull}
#Provides:       mpi4py-runtime = %{version}-%{release}
%description mpt-%{compilershort}
This package is constructed on top of the MPI-1/MPI-2 specification and
provides an object oriented interface which closely follows MPI-2 C++
bindings. It supports point-to-point (sends, receives) and collective
(broadcasts, scatters, gathers) communications of any picklable Python
object as well as optimized communications of Python object exposing the
single-segment buffer interface (NumPy arrays, built-in bytes/string/array
objects).

This package contains %{name} compiled against MPT %{compilerfull}
%endif

%if %{with mpich}
%package mpich
BuildRequires:  mpich-devel
Requires:       mpich
Requires:       %{name}-common = %{version}-%{release}
Provides:       python2-mpi4py-mpich = %{version}-%{release}
Summary:        Python bindings of MPI, MPICH version
Provides:       mpi4py-runtime = %{version}-%{release}
Provides:	%{name}-mpich2 = %{version}-%{release}
Obsoletes:	%{name}-mpich2 < 1.3-8
%description mpich
This package is constructed on top of the MPI-1/MPI-2 specification and
provides an object oriented interface which closely follows MPI-2 C++
bindings. It supports point-to-point (sends, receives) and collective
(broadcasts, scatters, gathers) communications of any picklable Python
object as well as optimized communications of Python object exposing the
single-segment buffer interface (NumPy arrays, built-in bytes/string/array
objects).

This package contains %{name} compiled against MPICH.
%endif


%prep
%setup -q -n %{rname}-%{version}
# delete docs/source
# this is just needed to generate docs/*
rm -r docs/source

# work around "wrong-file-end-of-line-encoding"
for file in $(find | grep runtests.bat); do
    sed -i 's/\r//' $file
done

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif


%build
. /etc/profile.d/modules.sh
# Build parallel versions: set compiler variables to MPI wrappers
export CC=mpicc
export CXX=mpicxx

# Build OpenMPI version
%{_openmpi_load}
CFLAGS="%{optflags}" %{__python} setup.py build
mv build openmpi
%{_openmpi_unload}

%if %{with mpt}
# Build MPT version
module load mpt
CFLAGS="%{optflags}" %{__python} setup.py build
mv build mpt
module unload mpt
%endif

%if %{with mpich}
# Build mpich version
%{_mpich_load}
CFLAGS="%{optflags}" %{__python} setup.py build
mv build mpich
%{_mpich_unload}
%endif

%if 0%{?with_python3}
pushd %{py3dir}
# Build parallel versions: set compiler variables to MPI wrappers
export CC=mpicc
export CXX=mpicxx

# Build OpenMPI version
%{_openmpi_load}
CFLAGS="%{optflags}" %{__python3} setup.py build
mv build openmpi
%{_openmpi_unload}

%if %{with mpt}
# Build MPT version
module load mpt
CFLAGS="%{optflags}" %{__python3} setup.py build
mv build mpt
module unload mpt
%endif

%if %{with mpich}
# Build mpich version
%{_mpich_load}
CFLAGS="%{optflags}" %{__python3} setup.py build
mv build mpich
%{_mpich_unload}
%endif

popd
%endif


%install
. /etc/profile.d/modules.sh
rm -rf %{buildroot}

# Helper function
# param1 - dirname
# param2 - module load
# param3 - destination dir for installation
# param4 - destination dir for modulefile path
install_one() {
ourdir="$1"
modload="$2"
modunload="$3"
destdir="$4"
moddestdir="$5"
shift 5
$modload
mv $ourdir build
mkdir -p %{buildroot}$destdir
%if 0%{?with_python3}
if pwd | grep -q %{py3dir}; then
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
mv %{buildroot}%{python3_sitearch}/%{rname}/ %{buildroot}%{python3_sitearch}/%{rname}*.egg-info %{buildroot}$destdir
else
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
mv %{buildroot}%{python_sitearch}/%{rname}/ %{buildroot}%{python_sitearch}/%{rname}*.egg-info %{buildroot}$destdir
fi
%else
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
mv %{buildroot}%{python_sitearch}/%{rname}/ %{buildroot}%{python_sitearch}/%{rname}*.egg-info %{buildroot}$destdir
%endif
mv build $ourdir
$modload
mkdir -p %{buildroot}$moddestdir
cat > $RPM_BUILD_ROOT${moddestdir}/%{version} <<ENDFILE
#%Module

# NOTE: This is an automatically-generated file!  (generated by the
# %{name} rpm).  Any changes made here will be lost a) if the RPM is
# uninstalled, or b) if the RPM is upgraded or uninstalled.

proc ModulesHelp { } {
   puts stderr "This module adds %{name} %{version} for $@ with %{compilerfull} to various paths"
}

module-whatis   "Sets up %{name} %{version} for $@ with %{compilerfull}"
prepend-path   PYTHONPATH "$destdir"
setenv         MPI4PYPATH "$destdir"
ENDFILE
}

# Install OpenMPI version
install_one openmpi "%{_openmpi_load}" "%{_openmpi_unload}" %{destdiropenmpi} %{modulefileopenmpi_path} openmpi %{openmpiversion}

%if %{with mpt}
# Install MPT version
install_one mpt "module load mpt" "module unload mpt" %{destdirmpt} %{modulefilempt_path} SGI MPT
%endif

%if %{with mpich}
# Install MPICH version
%{_mpich_load}
mv mpich build
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{python_sitearch}/mpich
mv %{buildroot}%{python_sitearch}/%{rname}/ %{buildroot}%{python_sitearch}/%{rname}*.egg-info %{buildroot}%{python_sitearch}/mpich
mv build mpich
%{_mpich_unload}
%endif


%if 0%{?with_python3}
pushd %{py3dir}
install_one openmpi "%{_openmpi_load}" "%{_openmpi_unload}" %{destdir3openmpi} %{modulefile3openmpi_path} openmpi %{openmpiversion} for python3

%if %{with mpt}
# Install mpt version
install_one mpt "module load mpt" "module unload mpt" %{destdir3mpt} %{modulefile3mpt_path} SGI MPT for python3
%endif

%if %{with mpich}
# Install MPICH version
%{_mpich_load}
mv mpich build
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{python3_sitearch}/mpich
mv %{buildroot}%{python3_sitearch}/%{rname}/ %{buildroot}%{python3_sitearch}/%{rname}*.egg-info %{buildroot}%{python3_sitearch}/mpich
mv build mpich
%{_mpich_unload}
%endif

popd
%endif


%check
. /etc/profile.d/modules.sh
# test openmpi?
%if 0%{?OPENMPI}
%{_openmpi_load}
PYTHONPATH=%{buildroot}%{destdiropenmpi} \
    mpiexec -np 1 python2 test/runtests.py
PYTHONPATH=%{buildroot}%{destdiropenmpi} \
    mpiexec -np 5 python2 test/runtests.py
PYTHONPATH=%{buildroot}%{destdiropenmpi} \
    mpiexec -np 8 python2 test/runtests.py
%{_openmpi_unload}
%endif

# test mpich?
%if 0%{?MPICH}
%if %{with mpich}
%{_mpich_load}
PYTHONPATH=%{buildroot}%{python_sitearch}/mpich \
    mpiexec -np 1 python2 test/runtests.py
PYTHONPATH=%{buildroot}%{python_sitearch}/mpich \
    mpiexec -np 5 python2 test/runtests.py
PYTHONPATH=%{buildroot}%{python_sitearch}/mpich \
    mpiexec -np 8 python2 test/runtests.py
%{_mpich_unload}
%endif
%endif

%if 0%{?with_python3}
# test openmpi?
%if 0%{?OPENMPI}
%{_openmpi_load}
PYTHONPATH=%{buildroot}%{destdir3openmpi} \
    mpiexec -np 1 python3 test/runtests.py
PYTHONPATH=%{buildroot}%{destdir3openmpi} \
    mpiexec -np 5 python3 test/runtests.py
PYTHONPATH=%{buildroot}%{destdir3openmpi} \
    mpiexec -np 8 python3 test/runtests.py
%{_openmpi_unload}
%endif

# test mpich?
%if 0%{?MPICH}
%if %{with mpich}
%{_mpich_load}
PYTHONPATH=%{buildroot}%{python3_sitearch}/mpich \
    mpiexec -np 1 python3 test/runtests.py
PYTHONPATH=%{buildroot}%{python3_sitearch}/mpich \
    mpiexec -np 5 python3 test/runtests.py
PYTHONPATH=%{buildroot}%{python3_sitearch}/mpich \
    mpiexec -np 8 python3 test/runtests.py
%{_mpich_unload}
%endif
%endif # mpich disable
%endif # with_python3

%clean
rm -rf %{buildroot}


%files common
%defattr(-,root,root,-)
%doc HISTORY.txt LICENSE.txt

%files openmpi%{openmpinumversion}-%{compilershort}
%defattr(-,root,root,-)
%dir %{destdirbase}
%dir %{destdirbase}/openmpi*
%{destdiropenmpi}
%dir %{modulefilebase_path}
%dir %{modulefileopenmpi_path}
%{modulefileopenmpi_path}/%{version}

%if %{with mpt}
%files mpt-%{compilershort}
%defattr(-,root,root,-)
%dir %{destdirbase}
%dir %{destdirbase}/mpt
%{destdirmpt}
%dir %{modulefilebase_path}
%dir %{modulefilempt_path}
%{modulefilempt_path}/%{version}
%endif

%if %{with mpich}
%files mpich
%defattr(-,root,root,-)
%{python_sitearch}/mpich/%{rname}-%{version}-py?.?.egg-info
%{python_sitearch}/mpich/%{rname}
%endif

%if 0%{?with_python3}
%files -n python3-mpi4py-openmpi%{openmpinumversion}-%{compilershort}
%defattr(-,root,root,-)
%dir %{destdirbase3}
%dir %{destdirbase3}/openmpi*
%{destdir3openmpi}
%dir %{modulefilebase3_path}
%dir %{modulefile3openmpi_path}
%{modulefile3openmpi_path}/%{version}

%if %{with mpt}
%files -n python3-mpi4py-mpt-%{compilershort}
%defattr(-,root,root,-)
%dir %{destdirbase3}
%dir %{destdirbase3}/mpt
%{destdir3mpt}
%dir %{modulefilebase3_path}
%dir %{modulefile3mpt_path}
%{modulefile3mpt_path}/%{version}
%endif

%if %{with mpich}
%files -n python3-mpi4py-mpich
%defattr(-,root,root,-)
%{python3_sitearch}/mpich/%{rname}-%{version}-py?.?.egg-info
%{python3_sitearch}/mpich/%{rname}
%endif
%endif  # with_python3

%files docs
%defattr(-,root,root,-)
%doc docs/* demo


%changelog
* Thu Aug  8 2013 Thomas Spura <tomspur@fedoraproject.org> - 1.3.1-1
- update to 1.3.1

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 20 2013 Deji Akingunola <dakingun@gmail.com> - 1.3-8
- Rename mpich2 sub-packages to mpich and rebuild for mpich-3.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Nov 14 2012 Thomas Spura <tomspur@fedoraproject.org> - 1.3-6
- rebuild for newer mpich2

* Sat Aug  4 2012 Thomas Spura <tomspur@fedoraproject.org> - 1.3-5
- conditionalize mpich2 support, there is no mpich2 on el6-ppc64

* Fri Aug 03 2012 David Malcolm <dmalcolm@redhat.com> - 1.3-4
- rebuild for https://fedoraproject.org/wiki/Features/Python_3.3

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jan 25 2012 Thomas Spura <tomspur@fedoraproject.org> - 1.3-2
- filter requires in pysitearch/openmpi/mpi4py/lib-pmpi/lib (#741104)

* Fri Jan 20 2012 Thomas Spura <tomspur@fedoraproject.org> - 1.3-1
- update to 1.3
- filter provides in pythonsitearch
- run tests differently

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Mar 30 2011 Deji Akingunola <dakingun@gmail.com> - 1.2.2-6
- Rebuild for mpich2 soname bump

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 29 2010  David Malcolm <dmalcolm@redhat.com> - 1.2.2-4
- rebuild for newer python3

* Tue Oct 19 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.2.2-3
- rebuild for new mpich2 and openmpi versions

* Wed Sep 29 2010 jkeating - 1.2.2-2
- Rebuilt for gcc bug 634757

* Wed Sep 15 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.2.2-1
- update to new version

* Sun Aug 22 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.2.1-6
- rebuild with python3.2
  http://lists.fedoraproject.org/pipermail/devel/2010-August/141368.html

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Jul  7 2010 Thomas Spura <tomspur@fedoreproject.org> - 1.2.1-4
- doc package needs to require common package, because of licensing

* Sun Apr 11 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.2.1-3
- also provides python2-mpi4py-*

* Sat Feb 27 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.2.1-2
- delete R on the main package in docs subpackage
  (main package is empty -> would be an unresolved dependency)

* Sat Feb 27 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.2.1-1
- new version
- removing of hidden file not needed anymore (done upstream)
- fix spelling error builtin -> built-in

* Fri Feb 26 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.2-7
- introduce OPENMPI and MPD macros to easy enable/disable the testsuite

* Tue Feb 16 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.2-6
- don't delete *.pyx/*.pyd
- delete docs/source

* Mon Feb  8 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.2-5
- disable testsuite

* Sun Feb  7 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.2-4
- enable testsuite
- move huge docs into docs subpackage

* Sun Feb  7 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.2-3
- delete lam building
- install to correct locations

* Sun Feb  7 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.2-2
- compile for different mpi versions

* Sun Feb  7 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.2-1
- initial import
